%global namedversion gl%{version}-android-2.1_r1

Name:          android-opengl-api
Version:       1.1
Release:       %mkrel 1
Summary:       Google Android Java ME Library (Khronos)
Group:         Development/Java
License:       ASL 2.0
# While the EULA for the Android SDK restricts distribution of those binaries, the source code 
# is licensed under Apache 2.0 which allows compiling binaries from source and then distributing
# those versions.
Url:           http://source.android.com/
Source0:       http://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}-sources.jar
Source1:       http://repo1.maven.org/maven2/org/khronos/opengl-api/%{namedversion}/opengl-api-%{namedversion}.pom

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

Obsoletes:     opengl-api
Provides:      opengl-api = %{version}-%{release}

%description
The Android implementation of Khronos OpenGL Spec for the Google Android SDK.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -T -q -c

mkdir -p src/main/java

(
  cd src/main/java
  %jar -xf %SOURCE0
  rm -rf META-INF
)

cp -p %SOURCE1 pom.xml

%build

mvn-rpmbuild -e \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

# jars
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/opengl-api-%{namedversion}.jar %{buildroot}%{_javadir}/opengl-api.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-opengl-api.pom
%add_maven_depmap JPP-opengl-api.pom opengl-api.jar

# javadoc
install -d -m 755 %{buildroot}%{_javadocdir}/opengl-api
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/opengl-api

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/opengl-api.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%files javadoc
%{_javadocdir}/opengl-api


%changelog

* Mon Oct 31 2011 gil <gil> 1.1-1.mga2
+ Revision: 160428
- imported package android-opengl-api

